﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Threading.Tasks;
using System.Windows.Forms;
using WcfTwoWay.Interfaces;

namespace WcfTwoWay.Serveur
{
    static class Program
    {
        static void Main()
        {
            Console.WriteLine("Démarrage du serveur");

            Serveur svr = new Serveur();
            using (ServiceHost host = new ServiceHost(svr))
            {
                host.Open();

                Console.WriteLine("Entrez un message ('fin' pour terminer)");
                string msg = null;
                while ((msg = Console.ReadLine()) != "fin")
                {
                    svr.EmettreMessage(msg);
                    // peut être écrit aussi : (host.SingletonInstance as Serveur).EmettreMessage(msg);
                }
                
            }

        }
    }
}
