﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfTwoWay.Interfaces;

namespace WcfTwoWay.Serveur
{    
[ServiceBehavior(InstanceContextMode=InstanceContextMode.Single)]
public class Serveur : IServeur
{
    Dictionary<string, ICallBack> _lstCallBacks = new Dictionary<string,ICallBack>();
     
    public void Connecter(string nom)
    {
        Console.WriteLine("Connection de " + nom);
        _lstCallBacks.Add(nom, OperationContext.Current.GetCallbackChannel<ICallBack>());            
    }

    public void EmettreMessage(string msg)
    {
        foreach (ICallBack cb in _lstCallBacks.Values)
        {
            cb.RecevoirMessage(msg);
        }
    }
}
}
