﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfTwoWay.Interfaces;

namespace WcfTwoWay.Client
{
    delegate void ReceptionMessageHandler(object sender, MessageEventArgs e);

    class CallBack : ICallBack
    {
        public event ReceptionMessageHandler ReceptionMessage;

        public string Nom { get; set; }

        public void RecevoirMessage(string msg)
        {
            if (ReceptionMessage != null)
            {
                ReceptionMessage(this, new MessageEventArgs() { Message = msg });
            }
        }
    }

    class MessageEventArgs : EventArgs
    {
        public string Message { get; set; }
    }
}
